Subject: Re: [PATCH/RFC] pretty.c: add %O format specifier to format_commit_one()

From: Jakub Narebski <[email-masked]>
Date: Sat, 01 May 2010 12:39:48 -0700 (PDT)

Alexander Shishkin <[email-masked]> writes:

> On Sat, May 01, 2010 at 10:18:35 -0700, Junio C Hamano wrote:
> > Alexander Shishkin <[email-masked]> writes:
> > 
> > > This specifier represents the number of each commit in the output
> > > stream.
> > 
> > I don't like this.  What does such a number _mean_ in a non-linear
> > history?
> 
> My idea is to have something like
> 
> $ git log --pretty=oneline | nl | less -R
> 
> This is generally useful when my local topic branch contains more than 5
> (or so) commits and I can't immediately see which one's which if I want
> to do a
> 
> $ git show HEAD~$n
> 
> to see what's inside, which is useful when reordering and/or squashing
> commits by an interactive rebase. So this %O gives me this $n quicker
> than counting.

Wouldn't somthing like

  git log --pretty=oneline | git name-rev --stdin | less -R

be good enough?

-- 
Jakub Narebski
Poland
ShadeHawk on #git